Summary:	A GNU tool which simplifies the build process for users
Name:		make
Version:	3.82
Release:	%mkrel 1
Url:		http://www.gnu.org/directory/GNU/make.html
License:	GPLv2+
Group:		Development/Other
Source:		ftp://ftp.gnu.org/pub/gnu/make/%name-%version.tar.bz2
Patch1:		make-3.82-lib64.patch
Patch3:		make-3.80-gfortran.patch
Patch4:		make-bug-30723.patch
Patch5:		make-bug-30612.patch
Patch6:		make-3.82-memory-corruption.patch
Patch7:		make-3.82-dont-prune-intermediate.patch
BuildRequires:	gettext-devel
Requires(pre):	info-install
Requires(post):	info-install

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about how
the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.

%prep
%setup -q
%patch1 -p1 -b .lib64
%patch3 -p1 -b .gfortran
%patch4 -p1
%patch5 -p1
%patch6 -p1 -b .android-crash
%patch7 -p0 -b .parallel

%build
%configure2_5x \
	--disable-rpath
%make


%install
rm -rf %{buildroot}

%makeinstall_std

ln -sf make %{buildroot}%{_bindir}/gmake

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%_install_info make.info

%preun
%_remove_install_info make.info

%files -f %name.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog README README.customs SCOPTIONS NEWS
%doc glob/COPYING.LIB glob/ChangeLog
%_bindir/make
%_bindir/gmake
%_mandir/man1/make.1*
%_infodir/make.info*


%changelog
